﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Reflection;

namespace XamDataChartMarkers
{
    class ConverterClass : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            var selDataItems = values[1] as object[];
            if (selDataItems != null)
            {
                string chartY = values[0].ToString();
                object[] selectedDataItems = (object[])selDataItems;
                foreach (var employee in selectedDataItems)
                {
                    if (employee is Employee &&
                        ((Employee)employee).Score.ToString() == chartY)
                    {
                        return "True";
                    }
                }
            }
            return "False";
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
